Name:           ocaml-glmlite
Version:        0.03.51
Release:        %mkrel 17
Summary:        OpenGL bindings for OCaml
License:        LGPL or MIT
Group:          Development/OCaml
URL:            http://www.linux-nantes.org/~fmonnier/OCaml/GL/
Source0:        http://www.linux-nantes.org/~fmonnier/OCaml/GL/download/glMLite-%{version}.tgz
Patch0:         RedBook-Samples-fix-libpath.patch
Patch1:         glMLite-TEST-dir-libpath.patch
Patch4:         glMLite-TEST3-dir-libpath.patch
Patch2:         gle-examples-makefiles.patch
Patch3:         glMLite-LablGL-libpath.patch
Patch5:         glMLite-glmap1d.patch
BuildRequires:  ocaml-compiler
BuildRequires:  mesaglu-devel
BuildRequires:  freeglut-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  librsvg-devel
BuildRequires:  libmagick-devel
BuildRequires:  libgle-devel
BuildRequires:  libftgl-devel
Requires:  mesaglu-devel
Requires:  freeglut-devel
Requires:  libjpeg-devel
Requires:  libpng-devel
Requires:  librsvg-devel
Requires:  libmagick-devel
Requires:  libgle-devel
Requires:  libftgl-devel


%package devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description
This package provides OpenGL bindings for OCaml.
There is a module for GL, Glu and Glut, and also some
texture loaders for different image file format.
There are specialised/optimised loaders for jpeg, png and svg,
and also a generic image loader (which uses the libmagick).
The names of the functions are the same than in the C API,
and the problematic types are packed in modules.
There are additional wrappers for the GLE and the FTGL
libraries, to perform extrusions and font rendering.

%description -n %{name}-devel
Development files for the package %{name}.

%prep
%setup -q -n glMLite-%{version}
%autopatch -p0

%build
make everything
make doc

%install
%define dest_dir %{buildroot}/%{_libdir}/ocaml/glMLite

install -d -m 755 %{dest_dir}
make install_everything PREFIX=%{dest_dir}

%files
%doc LICENSE_GPL.txt README.txt
%dir %{_libdir}/ocaml/glMLite
%{_libdir}/ocaml/glMLite/META
%{_libdir}/ocaml/glMLite/*.cma
%{_libdir}/ocaml/glMLite/*.cmi
%{_libdir}/ocaml/glMLite/*.so

%files devel
%doc SRC/doc
%doc TEST TEST3 toolbox RedBook-Samples gle-examples nehe-examples LablGL
%{_libdir}/ocaml/glMLite/*.a
%{_libdir}/ocaml/glMLite/*.o
%{_libdir}/ocaml/glMLite/*.cmx
%{_libdir}/ocaml/glMLite/*.cmxa


%changelog
* Sun May 28 2017 shlomif <shlomif> 0.03.51-17.mga6
+ Revision: 1105216
- rebuild for new imagemagick lib-major

* Mon Sep 26 2016 pterjan <pterjan> 0.03.51-16.mga6
+ Revision: 1056372
- Rebuild for fix in ocaml

* Sat Apr 02 2016 pterjan <pterjan> 0.03.51-15.mga6
+ Revision: 997624
- Try to fix glmap1d which seems very wrong and rightly doesn't build on arm

* Wed Feb 17 2016 umeabot <umeabot> 0.03.51-14.mga6
+ Revision: 964058
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.03.51-13.mga5
+ Revision: 747625
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.03.51-12.mga5
+ Revision: 683041
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 fwang <fwang> 0.03.51-11.mga5
+ Revision: 586178
- rebuild for new imagemagick

* Sat Oct 19 2013 umeabot <umeabot> 0.03.51-10.mga4
+ Revision: 526187
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.03.51-9.mga4
+ Revision: 436026
- rebuild for new libpng

* Tue May 28 2013 fwang <fwang> 0.03.51-8.mga4
+ Revision: 429189
- rebuild for new imagemagick

* Sun Jan 13 2013 umeabot <umeabot> 0.03.51-7.mga3
+ Revision: 361395
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 0.03.51-6.mga3
+ Revision: 330779
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 0.03.51-5.mga3
+ Revision: 305135
- rebuild for new imagemagick

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.03.51-4.mga3
+ Revision: 301519
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.03.51-2.mga3
+ Revision: 300139
- new rpm group for ocaml

* Sat Mar 03 2012 blue_prawn <blue_prawn> 0.03.51-1.mga2
+ Revision: 217489
- update to last version 0.03.51

* Sat Feb 18 2012 malo <malo> 0.03.50-2.mga2
+ Revision: 210352
- missing requires
- patching for new libpng

* Sat Jan 07 2012 blue_prawn <blue_prawn> 0.03.50-1.mga2
+ Revision: 192900
- using freeglut
- imported package ocaml-glmlite

